/*
 * Includes.c -- System-Includedateien einbinden
 *
 * ANSI
 * Amiga OS
 * BOOPSI
 * UMS
 * Compiler Pragmas und Prototypen
 *
 *   (Funktions-Prototypen in <Protos.h>)
 */

/* ANSI-C-Standardfunktionen */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>


/** Amiga OS 3.1 Includes **/

/* Exec */
#include <exec/memory.h>
#include <exec/lists.h>
#include <exec/nodes.h>

/* Intuition */
#include <intuition/intuitionbase.h>
#include <intuition/gadgetclass.h>
#include <intuition/classes.h>
#include <intuition/classusr.h>
#include <intuition/icclass.h>
#include <intuition/imageclass.h>

/* Graphics */
#include <graphics/gfxbase.h>
#include <graphics/text.h>

/* Utility */
#include <utility/date.h>

/* Datatypes */
#include <datatypes/pictureclass.h>


/** BOOPSI **/

/* -- Textfield, Button */
#include <gadgets/textfield.h>
#include <gadgets/button.h> /* todo: nach <newsbreaker.h> */

/* -- Item */
#include <classes/itemclass.h>
#include <classes/itemlistclass.h>
#include <classes/textitemclass.h>
#include <classes/complistviewclass.h>

/** UMS **/
#include <libraries/ums.h>
#include <libraries/umssuplib.h> /* UMSSupport-Library */


/** Compiler Pragmas **/

#include <pragma/exec_lib.h>
#include <pragma/gadtools_lib.h>
#include <pragma/graphics_lib.h>
#include <pragma/iffparse_lib.h>
#include <pragma/intuition_lib.h>
#include <pragma/utility_lib.h>
#include <pragma/ums_lib.h>	/* selbstgebastelt !!! */
#include <pragma/dos_lib.h>
#include <pragma/diskfont_lib.h>


/** Compiler Prototypen **/

#include <proto/textfield.h>	/* selbstgebastelt!!! */
#include <clib/datatypes_protos.h>
#include <proto/ums_lib.h>      /* selbstgebastelt */

/* aus a_lib protos: */
/* weglassen, wenn schon anderswo definiert */
void NewList (struct List *list);
ULONG DoMethod (Object * obj, unsigned long MethodID,...);
